# frozen_string_literal: true

module PageBuilder
  module TagHelpers

    private

    # @!group Available Tags

    # @!visibility public
    def abbr(content = nil, **attributes)
      pagebuilder_basic_element('abbr', content, attributes)
    end

    # @!visibility public
    def address(content = nil, **attributes)
      pagebuilder_basic_element('address', content, attributes)
    end

    # @!visibility public
    def b(content = nil, **attributes)
      pagebuilder_basic_element('b', content, attributes)
    end

    # @!visibility public
    def bdi(content = nil, **attributes)
      pagebuilder_basic_element('bdi', content, attributes)
    end

    # @!visibility public
    def bdo(content = nil, **attributes)
      pagebuilder_basic_element('bdo', content, attributes)
    end

    # @!visibility public
    def blockquote(content = nil, **attributes)
      pagebuilder_basic_element('blockquote', content, attributes)
    end

    # @!visibility public
    def cite(content = nil, **attributes)
      pagebuilder_basic_element('cite', content, attributes)
    end

    # @!visibility public
    def code(content = nil, **attributes)
      pagebuilder_basic_element('code', content, attributes)
    end

    # @!visibility public
    def data(content = nil, **attributes)
      pagebuilder_basic_element('data', content, attributes)
    end

    # @!visibility public
    def del(content = nil, **attributes)
      pagebuilder_basic_element('del', content, attributes)
    end

    # @!visibility public
    def details(content = nil, **attributes)
      pagebuilder_basic_element('details', content, attributes)
    end

    # @!visibility public
    def dfn(content = nil, **attributes)
      pagebuilder_basic_element('dfn', content, attributes)
    end

    # @!visibility public
    def em(content = nil, **attributes)
      pagebuilder_basic_element('em', content, attributes)
    end

    # @!visibility public
    def i(content = nil, **attributes)
      pagebuilder_basic_element('i', content, attributes)
    end

    # @!visibility public
    def ins(content = nil, **attributes)
      pagebuilder_basic_element('ins', content, attributes)
    end

    # @!visibility public
    def kbd(content = nil, **attributes)
      pagebuilder_basic_element('kbd', content, attributes)
    end

    # @!visibility public
    def mark(content = nil, **attributes)
      pagebuilder_basic_element('mark', content, attributes)
    end

    # @!visibility public
    def meter(content = nil, **attributes)
      pagebuilder_basic_element('meter', content, attributes)
    end

    # @!visibility public
    def output(content = nil, **attributes)
      pagebuilder_basic_element('output', content, attributes)
    end

    # @!visibility public
    def p(content = nil, **attributes)
      pagebuilder_basic_element('p', content, attributes)
    end

    # @!visibility public
    def pre(content = nil, **attributes)
      pagebuilder_basic_element('pre', content, attributes)
    end

    # @!visibility public
    def q(content = nil, **attributes)
      pagebuilder_basic_element('q', content, attributes)
    end

    # @!visibility public
    def rb(content = nil, **attributes)
      pagebuilder_basic_element('rb', content, attributes)
    end

    # @!visibility public
    def rp(content = nil, **attributes)
      pagebuilder_basic_element('rp', content, attributes)
    end

    # @!visibility public
    def rt(content = nil, **attributes)
      pagebuilder_basic_element('rt', content, attributes)
    end

    # @!visibility public
    def rtc(content = nil, **attributes)
      pagebuilder_basic_element('rtc', content, attributes)
    end

    # @!visibility public
    def ruby(content = nil, **attributes)
      pagebuilder_basic_element('ruby', content, attributes)
    end

    # @!visibility public
    def s(content = nil, **attributes)
      pagebuilder_basic_element('s', content, attributes)
    end

    # @!visibility public
    def samp(content = nil, **attributes)
      pagebuilder_basic_element('samp', content, attributes)
    end

    # @!visibility public
    def small(content = nil, **attributes)
      pagebuilder_basic_element('small', content, attributes)
    end

    # @!visibility public
    def span(content = nil, **attributes)
      pagebuilder_basic_element('span', content, attributes)
    end

    # @!visibility public
    def strong(content = nil, **attributes)
      pagebuilder_basic_element('strong', content, attributes)
    end

    # @!visibility public
    def sub(content = nil, **attributes)
      pagebuilder_basic_element('sub', content, attributes)
    end

    # @!visibility public
    def summary(content = nil, **attributes)
      pagebuilder_basic_element('summary', content, attributes)
    end

    # @!visibility public
    def sup(content = nil, **attributes)
      pagebuilder_basic_element('sup', content, attributes)
    end

    # @!visibility public
    def time(content = nil, **attributes)
      pagebuilder_basic_element('time', content, attributes)
    end

    # @!visibility public
    def u(content = nil, **attributes)
      pagebuilder_basic_element('u', content, attributes)
    end

    # @!visibility public
    def var(content = nil, **attributes)
      pagebuilder_basic_element('var', content, attributes)
    end

    # @!visibility public
    def wbr(**attributes)
      pagebuilder_basic_element('wbr', nil, attributes)
    end

    # @!endgroup Available Tags

  end
end
